[arch-commits] Commit in xorg-fonts-75dpi/trunk (PKGBUILD xfonts.install)

Eric Bélanger eric at archlinux.org
Thu Apr 23 15:12:07 EDT 2009


    Date: Thursday, April 23, 2009 @ 15:12:07
  Author: eric
Revision: 36489

upgpkg: xorg-fonts-75dpi 1.0.1-2
    Added license

Modified:
  xorg-fonts-75dpi/trunk/PKGBUILD
  xorg-fonts-75dpi/trunk/xfonts.install

----------------+
 PKGBUILD       |    8 +++++---
 xfonts.install |    5 -----
 2 files changed, 5 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-23 14:58:43 UTC (rev 36488)
+++ PKGBUILD	2009-04-23 19:12:07 UTC (rev 36489)
@@ -7,6 +7,7 @@
 pkgdesc="X.org 75dpi fonts"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 groups=('xorg')
 install=xfonts.install
@@ -20,16 +21,17 @@
          'beb476657d50d07d17eef7c325a5ed08')
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   for dir in font-*-75dpi-1.0.0 font-*-75dpi-1.0.1; do
     pushd ${dir}
       ./configure --prefix=/usr \
                   --with-mapfiles=/usr/share/fonts/util \
 		  --with-fontdir=/usr/share/fonts/75dpi
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-75dpi-*}
     popd
   done
-  rm -f ${startdir}/pkg/usr/share/fonts/75dpi/fonts.*
+  rm -f ${pkgdir}/usr/share/fonts/75dpi/fonts.*
 }
 

Modified: xfonts.install
===================================================================
--- xfonts.install	2009-04-23 14:58:43 UTC (rev 36488)
+++ xfonts.install	2009-04-23 19:12:07 UTC (rev 36489)
@@ -13,8 +13,3 @@
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list